import { NextFunction, Request, Response } from 'express';
import * as HttpStatus from 'http-status-codes';
import { <%= name1 %>Service } from './<%= name2 %>.service';

export class <%= name1 %>Controller {
  private static service = new <%= name1 %>Service();

  static async get(req: Request, res: Response, next: NextFunction) {
    try {
      let response: any = {};
      if (req.context && req.query) {
        const params = {
          // language: req.context.language,
          // site: req.context.country
        };
        response = await <%= name1 %>Controller.service.get(params);
      }
      return response.data
        ? res.send(response.data)
        : res.status(HttpStatus.NO_CONTENT).send();
    } catch (err) {
      next(err);
    }
  }

}
