import { Router } from 'express';

var controller = require('./<%= name2 %>.controller');

const router: Router = Router();

router.get('/', controller.index);
router.get('/:id', controller.show);
router.post('/', controller.create);
router.put('/:id', controller.upsert);
router.patch('/:id', controller.patch);
router.delete('/:id', controller.destroy);

export default router;
